<html>
<head>
<title>OGRE: Ogre::FocusedShadowCameraSetup::PointListBody Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">FocusedShadowCameraSetup</a>::<a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">PointListBody</a></div>
<h1>Ogre::FocusedShadowCameraSetup::PointListBody Class Reference</h1><!-- doxytag: class="Ogre::FocusedShadowCameraSetup::PointListBody" -->Internal class holding a point list representation of a convex body.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreShadowCameraSetupFocused_8h-source.html">OgreShadowCameraSetupFocused.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#b1194e2a8914328c3cb42744a86b91bb">PointListBody</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#d64fbe9c758a4f10742bab08aa59e794">PointListBody</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#67f47de28473e35d64a76be2f7c726cf">~PointListBody</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#5fd1dd8bbaf06f2414946e356be80f6c">merge</a> (const <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">PointListBody</a> &amp;plb)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merges a second <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> into this one.  <a href="#5fd1dd8bbaf06f2414946e356be80f6c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#f2eb5bf9ecbe7e6b5d02f69c9294baef">build</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body, bool filterDuplicates=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Builds a point list body from a 'real' body.  <a href="#f2eb5bf9ecbe7e6b5d02f69c9294baef"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#4f1a8bf97a3324b3e131502ea6ad6796">buildAndIncludeDirection</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body, const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;aabMax, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;dir)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Builds a <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> from a Body and includes all the space in a given direction.  <a href="#4f1a8bf97a3324b3e131502ea6ad6796"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#3dbfa9e92c4aaa683850f62692898cf4">getAAB</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the bounding box representation.  <a href="#3dbfa9e92c4aaa683850f62692898cf4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#8937f241b26f4fc4f977bd77325e642e">addPoint</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;point)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a specific point to the body list.  <a href="#8937f241b26f4fc4f977bd77325e642e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#fdd95bb0057958ed63616e1ea4e13e0b">addAAB</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;aab)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds all points of an AAB.  <a href="#fdd95bb0057958ed63616e1ea4e13e0b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#406c784f8492a274c339d41d1e39c162">getPoint</a> (size_t cnt) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a point.  <a href="#406c784f8492a274c339d41d1e39c162"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a6a6cf68e76099eacc45d688dc0bf73a">getPointCount</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the point count.  <a href="#a6a6cf68e76099eacc45d688dc0bf73a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#2ba5cac9977eaaebc4e0830916a41bc5">reset</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets the body.  <a href="#2ba5cac9977eaaebc4e0830916a41bc5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">Polygon::VertexList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#8ed99e0d43569bb2304494c5f399a6ca">mBodyPoints</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ef88b74b4b2ab59e7fd26b95ab6f348c">mAAB</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Internal class holding a point list representation of a convex body. 
<p>Definition at line <a class="el" href="OgreShadowCameraSetupFocused_8h-source.html#l00080">80</a> of file <a class="el" href="OgreShadowCameraSetupFocused_8h-source.html">OgreShadowCameraSetupFocused.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b1194e2a8914328c3cb42744a86b91bb"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody" ref="b1194e2a8914328c3cb42744a86b91bb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d64fbe9c758a4f10742bab08aa59e794"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody" ref="d64fbe9c758a4f10742bab08aa59e794" args="(const ConvexBody &amp;body)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>body</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="67f47de28473e35d64a76be2f7c726cf"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::~PointListBody" ref="67f47de28473e35d64a76be2f7c726cf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::FocusedShadowCameraSetup::PointListBody::~PointListBody           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5fd1dd8bbaf06f2414946e356be80f6c"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::merge" ref="5fd1dd8bbaf06f2414946e356be80f6c" args="(const PointListBody &amp;plb)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FocusedShadowCameraSetup::PointListBody::merge           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">PointListBody</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>plb</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Merges a second <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> into this one. 
<p>

</div>
</div><p>
<a class="anchor" name="f2eb5bf9ecbe7e6b5d02f69c9294baef"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::build" ref="f2eb5bf9ecbe7e6b5d02f69c9294baef" args="(const ConvexBody &amp;body, bool filterDuplicates=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FocusedShadowCameraSetup::PointListBody::build           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>filterDuplicates</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Builds a point list body from a 'real' body. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Inserts all vertices from a body into the point list with or without adding duplicate vertices. </dd></dl>

</div>
</div><p>
<a class="anchor" name="4f1a8bf97a3324b3e131502ea6ad6796"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::buildAndIncludeDirection" ref="4f1a8bf97a3324b3e131502ea6ad6796" args="(const ConvexBody &amp;body, const AxisAlignedBox &amp;aabMax, const Vector3 &amp;dir)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FocusedShadowCameraSetup::PointListBody::buildAndIncludeDirection           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>aabMax</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dir</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Builds a <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> from a Body and includes all the space in a given direction. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Intersects the bounding box with a ray from each available point of the body with the given direction. Base and intersection points are stored in a <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> structure. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Duplicate vertices are not filtered. <p>
Body is not checked for correctness. </dd></dl>

</div>
</div><p>
<a class="anchor" name="3dbfa9e92c4aaa683850f62692898cf4"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::getAAB" ref="3dbfa9e92c4aaa683850f62692898cf4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&amp; Ogre::FocusedShadowCameraSetup::PointListBody::getAAB           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the bounding box representation. 
<p>

</div>
</div><p>
<a class="anchor" name="8937f241b26f4fc4f977bd77325e642e"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::addPoint" ref="8937f241b26f4fc4f977bd77325e642e" args="(const Vector3 &amp;point)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FocusedShadowCameraSetup::PointListBody::addPoint           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>point</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a specific point to the body list. 
<p>

</div>
</div><p>
<a class="anchor" name="fdd95bb0057958ed63616e1ea4e13e0b"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::addAAB" ref="fdd95bb0057958ed63616e1ea4e13e0b" args="(const AxisAlignedBox &amp;aab)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FocusedShadowCameraSetup::PointListBody::addAAB           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>aab</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds all points of an AAB. 
<p>

</div>
</div><p>
<a class="anchor" name="406c784f8492a274c339d41d1e39c162"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::getPoint" ref="406c784f8492a274c339d41d1e39c162" args="(size_t cnt) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::FocusedShadowCameraSetup::PointListBody::getPoint           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>cnt</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a point. 
<p>

</div>
</div><p>
<a class="anchor" name="a6a6cf68e76099eacc45d688dc0bf73a"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::getPointCount" ref="a6a6cf68e76099eacc45d688dc0bf73a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::FocusedShadowCameraSetup::PointListBody::getPointCount           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the point count. 
<p>

</div>
</div><p>
<a class="anchor" name="2ba5cac9977eaaebc4e0830916a41bc5"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::reset" ref="2ba5cac9977eaaebc4e0830916a41bc5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::FocusedShadowCameraSetup::PointListBody::reset           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resets the body. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="8ed99e0d43569bb2304494c5f399a6ca"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::mBodyPoints" ref="8ed99e0d43569bb2304494c5f399a6ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">Polygon::VertexList</a> <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#8ed99e0d43569bb2304494c5f399a6ca">Ogre::FocusedShadowCameraSetup::PointListBody::mBodyPoints</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowCameraSetupFocused_8h-source.html#l00082">82</a> of file <a class="el" href="OgreShadowCameraSetupFocused_8h-source.html">OgreShadowCameraSetupFocused.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef88b74b4b2ab59e7fd26b95ab6f348c"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::mAAB" ref="ef88b74b4b2ab59e7fd26b95ab6f348c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ef88b74b4b2ab59e7fd26b95ab6f348c">Ogre::FocusedShadowCameraSetup::PointListBody::mAAB</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowCameraSetupFocused_8h-source.html#l00083">83</a> of file <a class="el" href="OgreShadowCameraSetupFocused_8h-source.html">OgreShadowCameraSetupFocused.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShadowCameraSetupFocused_8h-source.html">OgreShadowCameraSetupFocused.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:35 2008
</p>
</body>
</html>
